require 'fox'

module Fox
  class FX4Splitter
    def topLeft; getTopLeft(); end
    def topRight; getTopRight(); end
    def bottomLeft; getBottomLeft(); end
    def bottomRight; getBottomRight(); end
    def hSplit; getHSplit(); end
    def vSplit; getVSplit(); end
    def hSplit=(s); setHSplit(s); end
    def vSplit=(s); setVSplit(s); end
    def splitterStyle; getSplitterStyle(); end
    def splitterStyle=(style); setSplitterStyle(style); end
    def barSize=(bs); setBarSize(bs); end
    def barSize; getBarSize(); end
    def expanded=(ex); setExpanded(ex); end
    def expanded; getExpanded(); end
  end

  class FXAccelTable
    def hasAccel?(*args); hasAccel(*args); end
  end
  
  class FXApp
    def mainloop; run; end
    def appName(*args); getAppName(*args); end
    def vendorName(*args); getVendorName(*args); end
    def display; getDisplay(); end
    def defaultVisual(*args); getDefaultVisual(*args); end
    def defaultVisual=(*args); setDefaultVisual(*args); end
    def monoVisual(*args); getMonoVisual(*args); end
    def root(*args); getRoot(*args); end
    def cursorWindow(*args); getCursorWindow(*args); end
    def focusWindow(*args); getFocusWindow(*args); end
    def mainWindow(*args); getMainWindow(*args); end
    def modal?(*args); isModal(*args); end
    def normalFont(*args); getNormalFont(*args); end
    def normalFont=(*args); setNormalFont(*args); end
    def waitCursor(*args); getWaitCursor(*args); end
    def waitCursor=(*args); setWaitCursor(*args); end
    def typingSpeed(*args); getTypingSpeed(*args); end
    def typingSpeed=(*args); setTypingSpeed(*args); end
    def clickSpeed(*args); getClickSpeed(*args); end
    def clickSpeed=(*args); setClickSpeed(*args); end
    def scrollSpeed(*args); getScrollSpeed(*args); end
    def scrollSpeed=(*args); setScrollSpeed(*args); end
    def scrollDelay(*args); getScrollDelay(*args); end
    def scrollDelay=(*args); setScrollDelay(*args); end
    def blinkSpeed(*args); getBlinkSpeed(*args); end
    def blinkSpeed=(*args); setBlinkSpeed(*args); end
    def animSpeed(*args); getAnimSpeed(*args); end
    def animSpeed=(*args); setAnimSpeed(*args); end
    def menuPause(*args); getMenuPause(*args); end
    def menuPause=(*args); setMenuPause(*args); end
    def tooltipPause=(*args); setTooltipPause(*args); end
    def tooltipTime(*args); getTooltipTime(*args); end
    def tooltipTime=(*args); setTooltipTime(*args); end
    def dragDelta(*args); getDragDelta(*args); end
    def dragDelta=(*args); setDragDelta(*args); end
    def wheelLines(*args); getWheelLines(*args); end
    def wheelLines=(*args); setWheelLines(*args); end
    def borderColor(*args); getBorderColor(*args); end
    def borderColor=(*args); setBorderColor(*args); end
    def baseColor(*args); getBaseColor(*args); end
    def baseColor=(*args); setBaseColor(*args); end
    def hiliteColor(*args); getHiliteColor(*args); end
    def hiliteColor=(*args); setHiliteColor(*args); end
    def shadowColor(*args); getShadowColor(*args); end
    def shadowColor=(*args); setShadowColor(*args); end
    def backColor(*args); getBackColor(*args); end
    def backColor=(*args); setBackColor(*args); end
    def foreColor(*args); getForeColor(*args); end
    def foreColor=(*args); setForeColor(*args); end
    def selforeColor(*args); getSelforeColor(*args); end
    def selforeColor=(*args); setSelforeColor(*args); end
    def selbackColor(*args); getSelbackColor(*args); end
    def selbackColor=(*args); setSelbackColor(*args); end
    def tipforeColor(*args); getTipforeColor(*args); end
    def tipforeColor=(*args); setTipforeColor(*args); end
    def tipbackColor(*args); getTipbackColor(*args); end
    def tipbackColor=(*args); setTipbackColor(*args); end
    def sleepTime(*args); getSleepTime(*args); end
    def sleepTime=(*args); setSleepTime(*args); end
    def enableThreads; self.threadsEnabled = true; end
    def disableThreads; self.threadsEnabled = false; end
  end
  class FXArrowButton
    def state(*args); getState(*args); end
    def state=(*args); setState(*args); end
    def helpText(*args); getHelpText(*args); end
    def helpText=(*args); setHelpText(*args); end
    def tipText(*args); getTipText(*args); end
    def tipText=(*args); setTipText(*args); end
    def arrowStyle(*args); getArrowStyle(*args); end
    def arrowStyle=(*args); setArrowStyle(*args); end
    def arrowSize(*args); getArrowSize(*args); end
    def arrowSize=(*args); setArrowSize(*args); end
    def justify(*args); getJustify(*args); end
    def justify=(*args); setJustify(*args); end
    def arrowColor(*args); getArrowColor(*args); end
    def arrowColor=(*args); setArrowColor(*args); end
  end
  class FXButton
    def state=(*args); setState(*args); end
    def state(*args); getState(*args); end
    def buttonStyle=(*args); setButtonStyle(*args); end
    def buttonStyle(*args); getButtonStyle(*args); end
  end
  class FXCheckButton
    def checkState; getCheckState; end
    def setCheckState(*args); setCheck(*args); end
    def checkState=(*args); setCheck(*args); end
    def check; getCheck; end			# deprecated
    def check=(*args); setCheck(*args); end	# deprecated
    def checked?
      self.checkState == TRUE
    end
    def unchecked?
      self.checkState == FALSE
    end
    def maybe?
      self.checkState == MAYBE
    end
    def checkButtonStyle=(*args); setCheckButtonStyle(*args); end
    def checkButtonStyle(*args); getCheckButtonStyle(*args); end
    def boxColor(*args); getBoxColor(*args); end
    def boxColor=(*args); setBoxColor(*args); end
  end
  class FXColorBar
    def hue=(*args); setHue(*args); end
    def hue(*args); getHue(*args); end
    def sat=(*args); setSat(*args); end
    def sat(*args); getSat(*args); end
    def val=(*args); setVal(*args); end
    def val(*args); getVal(*args); end
    def barStyle=(*args); setBarStyle(*args); end
    def barStyle(*args); getBarStyle(*args); end
    def helpText=(*args); setHelpText(*args); end
    def helpText(*args); getHelpText(*args); end
    def tipText=(*args); setTipText(*args); end
    def tipText(*args); getTipText(*args); end
  end
  class FXColorDialog
    def rgba=(*args); setRGBA(*args); end
    def rgba(*args); getRGBA(*args); end
    def opaqueOnly?(*args); isOpaqueOnly(*args); end
    def opaqueOnly=(*args); setOpaqueOnly(*args); end
  end
  class FXColorSelector
    def rgba=(*args); setRGBA(*args); end
    def rgba(*args); getRGBA(*args); end
    def opaqueOnly=(*args); setOpaqueOnly(*args); end
    def opaqueOnly?(*args); isOpaqueOnly(*args); end
  end
  class FXColorWell
    def rgba=(*args); setRGBA(*args); end
    def rgba(*args); getRGBA(*args); end
    def opaqueOnly=(*args); setOpaqueOnly(*args); end
    def opaqueOnly?(*args); isOpaqueOnly(*args); end
    def tipText=(*args); setTipText(*args); end
    def tipText(*args); getTipText(*args); end
    def helpText=(*args); setHelpText(*args); end
    def helpText(*args); getHelpText(*args); end
  end
  class FXColorWheel
    def hue=(*args); setHue(*args); end
    def hue(*args); getHue(*args); end
    def sat=(*args); setSat(*args); end
    def sat(*args); getSat(*args); end
    def val=(*args); setVal(*args); end
    def val(*args); getVal(*args); end
    def helpText=(*args); setHelpText(*args); end
    def helpText(*args); getHelpText(*args); end
    def tipText=(*args); setTipText(*args); end
    def tipText(*args); getTipText(*args); end
  end
  class FXComboBox
    def editable?(*args); isEditable(*args); end
    def editable=(*args); setEditable(*args); end
    def text=(*args); setText(*args); end
    def text(*args); getText(*args); end
    def to_s(*args); getText(*args); end
    def numColumns=(*args); setNumColumns(*args); end
    def numColumns(*args); getNumColumns(*args); end
    def numItems(*args); getNumItems(*args); end
    def numVisible(*args); getNumVisible(*args); end
    def numVisible=(*args); setNumVisible(*args); end
    def currentItem=(*args); setCurrentItem(*args); end
    def currentItem(*args); getCurrentItem(*args); end
    def font=(*args); setFont(*args); end
    def font(*args); getFont(*args); end
    def comboStyle=(*args); setComboStyle(*args); end
    def comboStyle(*args); getComboStyle(*args); end
    def textColor=(*args); setTextColor(*args); end
    def textColor(*args); getTextColor(*args); end
    def selBackColor=(*args); setSelBackColor(*args); end
    def selBackColor(*args); getSelBackColor(*args); end
    def selTextColor=(*args); setSelTextColor(*args); end
    def selTextColor(*args); getSelTextColor(*args); end
    def helpText=(*args); setHelpText(*args); end
    def helpText(*args); getHelpText(*args); end
    def tipText=(*args); setTipText(*args); end
    def tipText(*args); getTipText(*args); end
    def paneShown?(*args); isPaneShown(*args); end
    def itemCurrent?(*args); isItemCurrent(*args); end
  end
  class FXCursor
    def width(*args); getWidth(*args); end
    def height(*args); getHeight(*args); end
    def hotX(*args); getHotX(*args); end
    def hotY(*args); getHotY(*args); end
  end
  class FXDataTarget
    def target(*args); getTarget(*args); end
    def target=(*args); setTarget(*args); end
    def selector(*args); getSelector(*args); end
    def selector=(*args); setSelector(*args); end
  end
  class FXDataTarget
    def value(*args); getValue(*args); end
    def value=(*args); setValue(*args); end
  end
  class FXDC
    def app(*args); getApp(*args); end
    def foreground(*args); getForeground(*args); end
    def foreground=(*args); setForeground(*args); end
    def background(*args); getBackground(*args); end
    def background=(*args); setBackground(*args); end
    def dashPattern(*args); getDashPattern(*args); end
    def dashOffset(*args); getDashOffset(*args); end
    def lineWidth(*args); getLineWidth(*args); end
    def lineWidth=(*args); setLineWidth(*args); end
    def lineCap(*args); getLineCap(*args); end
    def lineCap=(*args); setLineCap(*args); end
    def lineJoin(*args); getLineJoin(*args); end
    def lineJoin=(*args); setLineJoin(*args); end
    def lineStyle(*args); getLineStyle(*args); end
    def lineStyle=(*args); setLineStyle(*args); end
    def fillStyle(*args); getFillStyle(*args); end
    def fillStyle=(*args); setFillStyle(*args); end
    def fillRule(*args); getFillRule(*args); end
    def fillRule=(*args); setFillRule(*args); end
    def function(*args); getFunction(*args); end
    def function=(*args); setFunction(*args); end
    def tile=(*args); setTile(*args); end
    def tile(*args); getTile(*args); end
    def stipple=(*args); setStipple(*args); end
    def stipple
      stippleBitmap.nil? ? stipplePattern : stippleBitmap
    end
    def stippleBitmap(*args); getStippleBitmap(*args); end
    def stipplePattern(*args); getStipplePattern(*args); end
    def clipRegion=(*args); setClipRegion(*args); end
    def clipRectangle=(*args); setClipRectangle(*args); end
    def clipRectangle(*args); getClipRectangle(*args); end
    def clipX(*args); getClipX(*args); end
    def clipY(*args); getClipY(*args); end
    def clipWidth(*args); getClipWidth(*args); end
    def clipHeight(*args); getClipHeight(*args); end
    def textFont(*args); getTextFont(*args); end
    def textFont=(*args); setTextFont(*args); end
  end
  class FXDelegator
    def delegate(*args); getDelegate(*args); end
    def delegate=(*args); setDelegate(*args); end
  end
  class FXDial
    def range(*args); getRange(*args); end
    def range=(*args); setRange(*args); end
    def value(*args); getValue(*args); end
    def value=(*args); setValue(*args); end
    def revolutionIncrement=(*args); setRevolutionIncrement(*args); end
    def revolutionIncrement(*args); getRevolutionIncrement(*args); end
    def notchSpacing=(*args); setNotchSpacing(*args); end
    def notchSpacing(*args); getNotchSpacing(*args); end
    def notchOffset=(*args); setNotchOffset(*args); end
    def notchOffset(*args); getNotchOffset(*args); end
    def dialStyle=(*args); setDialStyle(*args); end
    def dialStyle(*args); getDialStyle(*args); end
    def notchColor=(*args); setNotchColor(*args); end
    def notchColor(*args); getNotchColor(*args); end
    def helpText=(*args); setHelpText(*args); end
    def helpText(*args); getHelpText(*args); end
    def tipText=(*args); setTipText(*args); end
    def tipText(*args); getTipText(*args); end
  end
  class FXDict
    def marked?; mark; end
    def size; length; end
    def include?(*args); has_key?(*args); end
    def member?(*args);	has_key?(*args); end
  end
  class FXDirBox
    def directory(*args); getDirectory(*args); end
    def directory=(*args); setDirectory(*args); end
  end
  class FXDirDialog
    def directory(*args); getDirectory(*args); end
    def directory=(*args); setDirectory(*args); end
    def dirBoxStyle(*args); getDirBoxStyle(*args); end
    def dirBoxStyle=(*args); setDirBoxStyle(*args); end
  end
  class FXDirItem
    def directory?; isDirectory(); end
    def executable?; isExecutable(); end
    def symlink?; isSymlink(); end
    def chardev?; isChardev(); end
    def blockdev?; isBlockdev(); end
    def fifo?; isFifo(); end
    def socket?; isSocket(); end
    def assoc; getAssoc(); end
    def size; getSize(); end
    def date; getDate(); end
  end
  class FXDirList
    def currentFile(*args); getCurrentFile(*args); end
    def currentFile=(*args); setCurrentFile(*args); end
    def directory(*args); getDirectory(*args); end
    def directory=(*args); setDirectory(*args); end
    def pattern(*args); getPattern(*args); end
    def pattern=(*args); setPattern(*args); end
    def matchMode(*args); getMatchMode(*args); end
    def matchMode=(*args); setMatchMode(*args); end
    def filesShown=(*args); setShowFiles(*args); end
    def filesShown?; getShowFiles(); end
    def hiddenFilesShown=(*args); setShowHiddenFiles(*args); end
    def hiddenFilesShown?; getShowHiddenFiles(); end
    def associations(*args); getAssociations(*args); end
    def associations=(*args); setAssociations(*args); end
    def itemDirectory?(*args); isItemDirectory(*args); end
    def itemFile?(*args); isItemFile(*args); end
    def itemExecutable?(*args); isItemExecutable(*args); end
    def itemFilename(*args); getItemFilename(*args); end
    def itemPathname(*args); getItemPathname(*args); end
  end
  class FXDirSelector
    def directory(*args); getDirectory(*args); end
    def directory=(*args); setDirectory(*args); end
    def dirBoxStyle(*args); getDirBoxStyle(*args); end
    def dirBoxStyle=(*args); setDirBoxStyle(*args); end
  end
  class FXDocument
    def modified?(*args); isModified(*args); end
    def modified=(*args); setModified(*args); end
    def title(*args); getTitle(*args); end
    def title=(*args); setTitle(*args); end
    def filename(*args); getFilename(*args); end
    def filename=(*args); setFilename(*args); end
  end
  class FXDragCorner
    def hiliteColor(*args); getHiliteColor(*args); end
    def hiliteColor=(*args); setHiliteColor(*args); end
    def shadowColor(*args); getShadowColor(*args); end
    def shadowColor=(*args); setShadowColor(*args); end
  end
  class FXDrawable
    def width(*args); getWidth(*args); end
    def height(*args); getHeight(*args); end
    def visual(*args); getVisual(*args); end
    def visual=(*args); setVisual(*args); end
  end
  class FXDriveBox
    def drive(*args); getDrive(*args); end
    def drive=(*args); setDrive(*args); end
  end
  class FXEvent
    def moved?(*args); moved(*args); end
    def synthetic?(*args); synthetic(*args); end
  end
  class FXFileDialog
    def filename=(*args); setFilename(*args); end
    def filename(*args); getFilename(*args); end
    def pattern=(*args); setPattern(*args); end
    def pattern(*args); getPattern(*args); end
    def patternList(*args); getPatternList(*args); end
    def patternList=(*args); setPatternList(*args); end
    def currentPattern=(*args); setCurrentPattern(*args); end
    def currentPattern(*args); getCurrentPattern(*args); end
    def directory=(*args); setDirectory(*args); end
    def directory(*args); getDirectory(*args); end
    def itemSpace=(*args); setItemSpace(*args); end
    def itemSpace(*args); getItemSpace(*args); end
    def fileBoxStyle=(*args); setFileBoxStyle(*args); end
    def fileBoxStyle(*args); getFileBoxStyle(*args); end
    def selectMode=(*args); setSelectMode(*args); end
    def selectMode(*args); getSelectMode(*args); end
    def readOnlyShown=(*args); showReadOnly(*args); end
    def readOnlyShown?; shownReadOnly(); end
    def readOnly=(*args); setReadOnly(*args); end
    def readOnly?; getReadOnly(); end
  end
  class FXIcon
    def transparentColor(*args); getTransparentColor(*args); end
    def transparentColor=(*args); setTransparentColor(*args); end
  end
  class FXIconDict
    def app(*args); getApp(*args); end
    def iconPath(*args); getIconPath(*args); end
    def iconPath=(*args); setIconPath(*args); end
  end
  class FXFileItem
    def assoc(*args); getAssoc(*args); end
    def size(*args); getSize(*args); end
    def date(*args); getDate(*args); end
  end
  class FXFileList
    def currentFile=(*args); setCurrentFile(*args); end
    def currentFile(*args); getCurrentFile(*args); end
    def directory=(*args); setDirectory(*args); end
    def directory(*args); getDirectory(*args); end
    def pattern=(*args); setPattern(*args); end
    def pattern(*args); getPattern(*args); end
    def itemDirectory?(*args); isItemDirectory(*args); end
    def itemFile?(*args); isItemFile(*args); end
    def itemExecutable?(*args); isItemExecutable(*args); end
    def itemFilename(*args); getItemFilename(*args); end
    def itemPathname(*args); getItemPathname(*args); end
    def itemAssoc(*args); getItemAssoc(*args); end
    def matchMode(*args); getMatchMode(*args); end
    def matchMode=(*args); setMatchMode(*args); end
    def hiddenFilesShown?(*args); getHiddenFilesShown(*args); end
    def hiddenFilesShown=(*args); setHiddenFilesShown(*args); end
    def onlyDirectoriesShown?(*args); getOnlyDirectoriesShown(*args); end
    def onlyDirectoriesShown=(*args); setOnlyDirectoriesShown(*args); end
    def associations=(*args); setAssociations(*args); end
    def associations(*args); getAssociations(*args); end
  end
  class FXFileSelector
    def filename=(*args); setFilename(*args); end
    def filename(*args); getFilename(*args); end
    def pattern=(*args); setPattern(*args); end
    def pattern(*args); getPattern(*args); end
    def patternList=(*args); setPatternList(*args); end
    def patternList(*args); getPatternList(*args); end
    def currentPattern=(*args); setCurrentPattern(*args); end
    def currentPattern(*args); getCurrentPattern(*args); end
    def directory=(*args); setDirectory(*args); end
    def directory(*args); getDirectory(*args); end
    def itemSpace=(*args); setItemSpace(*args); end
    def itemSpace(*args); getItemSpace(*args); end
    def fileBoxStyle=(*args); setFileBoxStyle(*args); end
    def fileBoxStyle(*args); getFileBoxStyle(*args); end
    def selectMode=(*args); setSelectMode(*args); end
    def selectMode(*args); getSelectMode(*args); end
    def readOnlyShown=(*args); setReadOnlyShown(*args); end
    def readOnlyShown?(*args); getReadOnlyShown(*args); end
    def readOnly=(*args); setReadOnly(*args); end
    def readOnly?(*args); getReadOnly(*args); end
  end
  class FXFont
    def name(*args); getName(*args); end
    def size(*args); getSize(*args); end
    def weight(*args); getWeight(*args); end
    def slant(*args); getSlant(*args); end
    def encoding(*args); getEncoding(*args); end
    def setWidth(*args); getSetWidth(*args); end
    def hints(*args); getHints(*args); end
    def fontDesc(*args); getFontDesc(*args); end
    def fontDesc=(*args); setFontDesc(*args); end
    def minChar(*args); getMinChar(*args); end
    def maxChar(*args); getMaxChar(*args); end
    def fontWidth(*args); getFontWidth(*args); end
    def fontHeight(*args); getFontHeight(*args); end
    def fontAscent(*args); getFontAscent(*args); end
    def fontDescent(*args); getFontDescent(*args); end
    def fontLeading(*args); getFontLeading(*args); end
    def fontSpacing(*args); getFontSpacing(*args); end
  end
  class FXFontDialog
    def fontSelection(*args); getFontSelection(*args); end
    def fontSelection=(*args); setFontSelection(*args); end
  end
  class FXFontSelector
    def fontSelection(*args); getFontSelection(*args); end
    def fontSelection=(*args); setFontSelection(*args); end
  end
  class FXFrame
    def frameStyle(*args); getFrameStyle(*args); end
    def frameStyle=(*args); setFrameStyle(*args); end
    def borderWidth(*args); getBorderWidth(*args); end
    def padTop(*args); getPadTop(*args); end
    def padTop=(*args); setPadTop(*args); end
    def padBottom(*args); getPadBottom(*args); end
    def padBottom=(*args); setPadBottom(*args); end
    def padLeft(*args); getPadLeft(*args); end
    def padLeft=(*args); setPadLeft(*args); end
    def padRight(*args); getPadRight(*args); end
    def padRight=(*args); setPadRight(*args); end
    def hiliteColor(*args); getHiliteColor(*args); end
    def hiliteColor=(*args); setHiliteColor(*args); end
    def shadowColor(*args); getShadowColor(*args); end
    def shadowColor=(*args); setShadowColor(*args); end
    def borderColor(*args); getBorderColor(*args); end
    def borderColor=(*args); setBorderColor(*args); end
    def baseColor(*args); getBaseColor(*args); end
    def baseColor=(*args); setBaseColor(*args); end
  end

  class FXGLCanvas
    def context; getContext(); end
    def current?; isCurrent(); end
  end

  class FXGLContext
    def shared?; isShared(); end
    def visual(*args); getVisual(*args); end
  end
  class FXGLShape
    def position; getPosition; end
    def position=(*args); setPosition(*args); end
    def range=(*args); setRange(*args); end
    def tipText(*args); getTipText(*args); end
    def tipText=(*args); setTipText(*args); end
  end
  class FXGLViewer
    def viewport(*args); getViewport(*args); end
    def material(*args); getMaterial(*args); end
    def material=(*args); setMaterial(*args); end
    def fieldOfView=(*args); setFieldOfView(*args); end
    def fieldOfView(*args); getFieldOfView(*args); end
    def zoom=(*args); setZoom(*args); end
    def zoom(*args); getZoom(*args); end
    def distance=(*args); setDistance(*args); end
    def distance(*args); getDistance(*args); end
    def scale=(*args); setScale(*args); end
    def scale(*args); getScale(*args); end
    def orientation=(*args); setOrientation(*args); end
    def orientation(*args); getOrientation(*args); end
    def center=(*args); setCenter(*args); end
    def center(*args); getCenter(*args); end
    def eyeVector(*args); getEyeVector(*args); end
    def eyePosition(*args); getEyePosition(*args); end
    def helpText=(*args); setHelpText(*args); end
    def helpText(*args); getHelpText(*args); end
    def tipText=(*args); setTipText(*args); end
    def tipText(*args); getTipText(*args); end
    def offset=(*args); setOffset(*args); end
    def offset(*args); getOffset(*args); end
    def transform(*args); getTransform(*args); end
    def invTransform(*args); getInvTransform(*args); end
    def scene=(*args); setScene(*args); end
    def scene(*args); getScene(*args); end
    def selection=(*args); setSelection(*args); end
    def selection(*args); getSelection(*args); end
    def projection=(*args); setProjection(*args); end
    def projection(*args); getProjection(*args); end
    def viewLock=(*args); setViewLock(*args); end
    def viewLock(*args); getViewLock(*args); end
    def locked?; getViewLock(); end
    def backgroundColor=(*args); setBackgroundColor(*args); end
    def backgroundColor(*args); getBackgroundColor(*args); end
    def ambientColor=(*args); setAmbientColor(*args); end
    def ambientColor(*args); getAmbientColor(*args); end
    def zSortFunc=(*args); setZSortFunc(*args); end
    def zSortFunc(*args); getZSortFunc(*args); end
    def maxHits=(*args); setMaxHits(*args); end
    def maxHits(*args); getMaxHits(*args); end
    def turboMode(*args); getTurboMode(*args); end
    def turboMode=(*args); setTurboMode(*args); end
    def doesTurbo?; doesTurbo(); end
    def light(*args); getLight(*args); end
    def light=(*args); setLight(*args); end
  end
  class FXGLVisual
    def redSize(*args); getRedSize(*args); end
    def greenSize(*args); getGreenSize(*args); end
    def blueSize(*args); getBlueSize(*args); end
    def alphaSize(*args); getAlphaSize(*args); end
    def depthSize(*args); getDepthSize(*args); end
    def stencilSize(*args); getStencilSize(*args); end
    def accumRedSize(*args); getAccumRedSize(*args); end
    def accumGreenSize(*args); getAccumGreenSize(*args); end
    def accumBlueSize(*args); getAccumBlueSize(*args); end
    def accumAlphaSize(*args); getAccumAlphaSize(*args); end
    def redSize=(*args); setRedSize(*args); end
    def greenSize=(*args); setGreenSize(*args); end
    def blueSize=(*args); setBlueSize(*args); end
    def alphaSize=(*args); setAlphaSize(*args); end
    def depthSize=(*args); setDepthSize(*args); end
    def stencilSize=(*args); setStencilSize(*args); end
    def accumRedSize=(*args); setAccumRedSize(*args); end
    def accumGreenSize=(*args); setAccumGreenSize(*args); end
    def accumBlueSize=(*args); setAccumBlueSize(*args); end
    def accumAlphaSize=(*args); getAccumAlphaSize(*args); end
    def actualRedSize(*args); getActualRedSize(*args); end
    def actualGreenSize(*args); getActualGreenSize(*args); end
    def actualBlueSize(*args); getActualBlueSize(*args); end
    def actualAlphaSize(*args); getActualAlphaSize(*args); end
    def actualDepthSize(*args); getActualDepthSize(*args); end
    def actualStencilSize(*args); getActualStencilSize(*args); end
    def actualAccumRedSize(*args); getActualAccumRedSize(*args); end
    def actualAccumGreenSize(*args); getActualAccumGreenSize(*args); end
    def actualAccumBlueSize(*args); getActualAccumBlueSize(*args); end
    def actualAccumAlphaSize(*args); getActualAccumAlphaSize(*args); end
    def doubleBuffer?(*args); isDoubleBuffer(*args); end
    def doubleBuffered?(*args); isDoubleBuffer(*args); end
    def stereo?(*args); isStereo(*args); end
    def accelerated?(*args); isAccelerated(*args); end
  end
  class FXGroupBox
    def text=(*args); setText(*args); end
    def text(*args); getText(*args); end
    def to_s(*args); getText(*args); end
    def groupBoxStyle=(*args); setGroupBoxStyle(*args); end
    def groupBoxStyle(*args); getGroupBoxStyle(*args); end
    def font=(*args); setFont(*args); end
    def font(*args); getFont(*args); end
    def textColor=(*args); setTextColor(*args); end
    def textColor(*args); getTextColor(*args); end
  end
  class FXHeaderItem
    def text(*args); getText(*args); end
    def to_s(*args); getText(*args); end
    def text=(*args); setText(*args); end
    def icon(*args); getIcon(*args); end
    def icon=(*args); setIcon(*args); end
    def data(*args); getData(*args); end
    def data=(*args); setData(*args); end
    def size(*args); getSize(*args); end
    def size=(*args); setSize(*args); end
    def arrowDir(*args); getArrowDir(*args); end
    def arrowDir=(*args); setArrowDir(*args); end
  end
  class FXHeader
    def numItems(*args); getNumItems(*args); end
    def font(*args); getFont(*args); end
    def font=(*args); setFont(*args); end
    def textColor(*args); getTextColor(*args); end
    def textColor=(*args); setTextColor(*args); end
    def headerStyle(*args); getHeaderStyle(*args); end
    def headerStyle=(*args); setHeaderStyle(*args); end
    def helpText(*args); getHelpText(*args); end
    def helpText=(*args); setHelpText(*args); end
  end
  class FXIconItem
    def hasFocus? ; hasFocus(); end
    def text(*args); getText(*args); end
    def text=(*args); setText(*args); end
    def to_s(*args); getText(*args); end
    def bigIcon(*args); getBigIcon(*args); end
    def bigIcon=(*args); setBigIcon(*args); end
    def miniIcon(*args); getMiniIcon(*args); end
    def miniIcon=(*args); setMiniIcon(*args); end
    def data(*args); getData(*args); end
    def data=(*args); setData(*args); end
    def selected?(*args); isSelected(*args); end
    def selected=(*args); setSelected(*args); end
    def enabled?(*args); isEnabled(*args); end
    def enabled=(*args); setEnabled(*args); end
    def draggable?(*args); isDraggable(*args); end
    def draggable=(*args); setDraggable(*args); end
    def iconOwned(*args); isIconOwned(*args); end
    def iconOwned=(*args); setIconOwned(*args); end
  end
  class FXIconList
    def numItems(*args); getNumItems(*args); end
    def numRows(*args); getNumRows(*args); end
    def numCols(*args); getNumCols(*args); end
    def header(*args); getHeader(*args); end
    def numHeaders(*args); getNumHeaders(*args); end
    def itemWidth(*args); getItemWidth(*args); end
    def itemHeight(*args); getItemHeight(*args); end
    def itemAt(x, y); getItemAt(x, y); end
    def itemSelected?(index); isItemSelected(index); end
    def itemCurrent?(index); isItemCurrent(index); end
    def itemVisible?(index); isItemVisible(index); end
    def itemEnabled?(index); isItemEnabled(index); end
    def currentItem(*args); getCurrentItem(*args); end
    def currentItem=(*args); setCurrentItem(*args); end
    def anchorItem(*args); getAnchorItem(*args); end
    def anchorItem=(*args); setAnchorItem(*args); end
    def cursorItem(*args); getCursorItem(*args); end
    def font(*args); getFont(*args); end
    def font=(*args); setFont(*args); end
    def textColor(*args); getTextColor(*args); end
    def textColor=(*args); setTextColor(*args); end
    def selBackColor(*args); getSelBackColor(*args); end
    def selBackColor=(*args); setSelBackColor(*args); end
    def selTextColor(*args); getSelTextColor(*args); end
    def selTextColor=(*args); setSelTextColor(*args); end
    def itemSpace(*args); getItemSpace(*args); end
    def itemSpace=(*args); setItemSpace(*args); end
    def listStyle(*args); getListStyle(*args); end
    def listStyle=(*args); setListStyle(*args); end
    def helpText(*args); getHelpText(*args); end
    def helpText=(*args); setHelpText(*args); end
  end
  class FXId
    def app(*args); getApp(*args); end
    def userData(*args); getUserData(*args); end
    def userData=(*args); setUserData(*args); end
  end
  class FXImage
    def data(*args); getData(*args); end
    def options(*args); getOptions(*args); end
    def options=(*args); setOptions(*args); end
    def channels(*args); getChannels(*args); end
  end
  class FXImageView
    def image(*args); getImage(*args); end
    def image=(*args); setImage(*args); end
  end
  class FXInputDialog
    def text(*args); getText(*args); end
    def text=(*args); setText(*args); end
    def numColumns(*args); getNumColumns(*args); end
    def numColumns=(*args); setNumColumns(*args); end
    def to_s(*args); getText(*args); end
  end
  class FXJPGIcon
    def quality(*args); getQuality(*args); end
    def quality=(*args); setQuality(*args); end
  end
  class FXJPGImage
    def quality(*args); getQuality(*args); end
    def quality=(*args); setQuality(*args); end
  end
  class FXLabel
    def text(*args); getText(*args); end
    def to_s(*args); getText(*args); end
    def text=(*args); setText(*args); end
    def icon(*args); getIcon(*args); end
    def icon=(*args); setIcon(*args); end
    def font(*args); getFont(*args); end
    def font=(*args); setFont(*args); end
    def textColor(*args); getTextColor(*args); end
    def textColor=(*args); setTextColor(*args); end
    def justify(*args); getJustify(*args); end
    def justify=(*args); setJustify(*args); end
    def iconPosition(*args); getIconPosition(*args); end
    def iconPosition=(*args); setIconPosition(*args); end
    def helpText(*args); getHelpText(*args); end
    def helpText=(*args); setHelpText(*args); end
    def tipText(*args); getTipText(*args); end
    def tipText=(*args); setTipText(*args); end
  end
  class FXListItem
    def text=(*args); setText(*args); end
    def text(*args); getText(*args); end
    def to_s(*args); getText(*args); end
    def icon=(*args); setIcon(*args); end
    def icon(*args); getIcon(*args); end
    def data=(*args); setData(*args); end
    def data(*args); getData(*args); end
    def selected=(*args); setSelected(*args); end
    def selected?(*args); isSelected(*args); end
    def enabled=(*args); setEnabled(*args); end
    def enabled?(*args); isEnabled(*args); end
    def draggable=(*args); setDraggable(*args); end
    def draggable?(*args); isDraggable(*args); end
    def iconOwned=(*args); setIconOwned(*args); end
    def iconOwned(*args); isIconOwned(*args); end
  end
  class FXList
    def numItems(*args); getNumItems(*args); end
    def numVisible(*args); getNumVisible(*args); end
    def numVisible=(*args); setNumVisible(*args); end
    def itemSelected?(*args); isItemSelected(*args); end
    def itemCurrent?(*args); isItemCurrent(*args); end
    def itemVisible?(*args); isItemVisible(*args); end
    def itemEnabled?(*args); isItemEnabled(*args); end
    def currentItem=(*args); setCurrentItem(*args); end
    def currentItem(*args); getCurrentItem(*args); end
    def anchorItem=(*args); setAnchorItem(*args); end
    def anchorItem(*args); getAnchorItem(*args); end
    def cursorItem(*args); getCursorItem(*args); end
    def font=(*args); setFont(*args); end
    def font(*args); getFont(*args); end
    def textColor(*args); getTextColor(*args); end
    def textColor=(*args); setTextColor(*args); end
    def selBackColor(*args); getSelBackColor(*args); end
    def selBackColor=(*args); setSelBackColor(*args); end
    def selTextColor(*args); getSelTextColor(*args); end
    def selTextColor=(*args); setSelTextColor(*args); end
    def listStyle(*args); getListStyle(*args); end
    def listStyle=(*args); setListStyle(*args); end
    def helpText=(*args); setHelpText(*args); end
    def helpText(*args); getHelpText(*args); end
  end
  class FXListBox
    def numItems(*args); getNumItems(*args); end
    def numVisible(*args); getNumVisible(*args); end
    def numVisible=(*args); setNumVisible(*args); end
    def currentItem=(*args); setCurrentItem(*args); end
    def currentItem(*args); getCurrentItem(*args); end
    def itemCurrent?(*args); isItemCurrent(*args); end
    def font=(*args); setFont(*args); end
    def font(*args); getFont(*args); end
    def textColor=(*args); setTextColor(*args); end
    def textColor(*args); getTextColor(*args); end
    def selBackColor=(*args); setSelBackColor(*args); end
    def selBackColor(*args); getSelBackColor(*args); end
    def selTextColor=(*args); setSelTextColor(*args); end
    def selTextColor(*args); getSelTextColor(*args); end
    def helpText=(*args); setHelpText(*args); end
    def helpText(*args); getHelpText(*args); end
    def tipText=(*args); setTipText(*args); end
    def tipText(*args); getTipText(*args); end
    def paneShown?(*args); isPaneShown(*args); end
  end
  class FXMatrix
    def matrixStyle=(*args); setMatrixStyle(*args); end
    def matrixStyle(*args); getMatrixStyle(*args); end
    def numRows=(*args); setNumRows(*args); end
    def numRows(*args); getNumRows(*args); end
    def numColumns=(*args); setNumColumns(*args); end
    def numColumns(*args); getNumColumns(*args); end
  end
  class FXMDIChild
    def normalX=(*args); setNormalX(*args); end
    def normalY=(*args); setNormalY(*args); end
    def normalWidth=(*args); setNormalWidth(*args); end
    def normalHeight=(*args); setNormalHeight(*args); end
    def normalX(*args); getNormalX(*args); end
    def normalY(*args); getNormalY(*args); end
    def normalWidth(*args); getNormalWidth(*args); end
    def normalHeight(*args); getNormalHeight(*args); end
    def iconX=(*args); setIconX(*args); end
    def iconY=(*args); setIconY(*args); end
    def iconWidth=(*args); setIconWidth(*args); end
    def iconHeight=(*args); setIconHeight(*args); end
    def iconX(*args); getIconX(*args); end
    def iconY(*args); getIconY(*args); end
    def iconWidth(*args); getIconWidth(*args); end
    def iconHeight(*args); getIconHeight(*args); end
    def title=(*args); setTitle(*args); end
    def title(*args); getTitle(*args); end
    def hiliteColor(*args); getHiliteColor(*args); end
    def shadowColor(*args); getShadowColor(*args); end
    def baseColor(*args); getBaseColor(*args); end
    def borderColor(*args); getBorderColor(*args); end
    def titleColor(*args); getTitleColor(*args); end
    def titleBackColor(*args); getTitleBackColor(*args); end
    def hiliteColor=(*args); setHiliteColor(*args); end
    def shadowColor=(*args); setShadowColor(*args); end
    def baseColor=(*args); setBaseColor(*args); end
    def borderColor=(*args); setBorderColor(*args); end
    def titleColor=(*args); setTitleColor(*args); end
    def titleBackColor=(*args); setTitleBackColor(*args); end
    def maximized?(*args); isMaximized(*args); end
    def minimized?(*args); isMinimized(*args); end
    def windowIcon(*args); getWindowIcon(*args); end
    def windowIcon=(*args); setWindowIcon(*args); end
    def windowMenu(*args); getWindowMenu(*args); end
    def windowMenu=(*args); setWindowMenu(*args); end
    def font=(*args); setFont(*args); end
    def font(*args); getFont(*args); end
  end
  class FXMDIClient
    def activeChild(*args); getActiveChild(*args); end
    def cascadeX=(*args); setCascadeX(*args); end
    def cascadeY=(*args); setCascadeY(*args); end
    def cascadeX(*args); getCascadeX(*args); end
    def cascadeY(*args); getCascadeY(*args); end
  end
  class FXMemoryBuffer
    alias size getSize
  end
  class FXMemoryStream
    alias space  getSpace
    alias space= setSpace
  end
  class FXMenuButton
    def menu=(*args); setMenu(*args); end
    def menu(*args); getMenu(*args); end
    def xOffset=(*args); setXOffset(*args); end
    def xOffset(*args); getXOffset(*args); end
    def yOffset=(*args); setYOffset(*args); end
    def yOffset(*args); getYOffset(*args); end
    def buttonStyle=(*args); setButtonStyle(*args); end
    def buttonStyle(*args); getButtonStyle(*args); end
    def popupStyle=(*args); setPopupStyle(*args); end
    def popupStyle(*args); getPopupStyle(*args); end
    def attachment=(*args); setAttachment(*args); end
    def attachment(*args); getAttachment(*args); end
  end
  class FXMenuCaption
    def text=(*args); setText(*args); end
    def text(*args); getText(*args); end
    def to_s(*args); getText(*args); end
    def icon=(*args); setIcon(*args); end
    def icon(*args); getIcon(*args); end
    def font=(*args); setFont(*args); end
    def font(*args); getFont(*args); end
    def textColor(*args); getTextColor(*args); end
    def textColor=(*args); setTextColor(*args); end
    def selBackColor(*args); getSelBackColor(*args); end
    def selBackColor=(*args); setSelBackColor(*args); end
    def selTextColor(*args); getSelTextColor(*args); end
    def selTextColor=(*args); setSelTextColor(*args); end
    def hiliteColor=(*args); setHiliteColor(*args); end
    def hiliteColor(*args); getHiliteColor(*args); end
    def shadowColor=(*args); setShadowColor(*args); end
    def shadowColor(*args); getShadowColor(*args); end
    def helpText=(*args); setHelpText(*args); end
    def helpText(*args); getHelpText(*args); end
  end
  class FXMenuCascade
    def menu=(*args); setMenu(*args); end
    def menu(*args); getMenu(*args); end
  end
  class FXMenuCommand
    def checked?(*args); isChecked(*args); end
    def radioChecked?(*args); isRadioChecked(*args); end
    def accelText=(*args); setAccelText(*args); end
    def accelText(*args); getAccelText(*args); end
  end
  class FXMenuSeparator
    def hiliteColor=(*args); setHiliteColor(*args); end
    def hiliteColor(*args); getHiliteColor(*args); end
    def shadowColor=(*args); setShadowColor(*args); end
    def shadowColor(*args); getShadowColor(*args); end
  end
  class FXMenuTitle
    def menu=(*args); setMenu(*args); end
    def menu(*args); getMenu(*args); end
  end
  class FXOptionMenu
    def current=(*args); setCurrent(*args); end
    def current(*args); getCurrent(*args); end
    def currentNo=(*args); setCurrentNo(*args); end
    def currentNo(*args); getCurrentNo(*args); end
    def popup=(*args); setPopup(*args); end
    def popup(*args); getPopup(*args); end
    def popped?(*args); isPopped(*args); end
  end
  class FXPacker
    def frameStyle=(*args); setFrameStyle(*args); end
    def frameStyle(*args); getFrameStyle(*args); end
    def packingHints=(*args); setPackingHints(*args); end
    def packingHints(*args); getPackingHints(*args); end
    def borderWidth(*args); getBorderWidth(*args); end
    def padTop=(*args); setPadTop(*args); end
    def padTop(*args); getPadTop(*args); end
    def padBottom=(*args); setPadBottom(*args); end
    def padBottom(*args); getPadBottom(*args); end
    def padLeft=(*args); setPadLeft(*args); end
    def padLeft(*args); getPadLeft(*args); end
    def padRight=(*args); setPadRight(*args); end
    def padRight(*args); getPadRight(*args); end
    def hiliteColor=(*args); setHiliteColor(*args); end
    def hiliteColor(*args); getHiliteColor(*args); end
    def shadowColor=(*args); setShadowColor(*args); end
    def shadowColor(*args); getShadowColor(*args); end
    def borderColor=(*args); setBorderColor(*args); end
    def borderColor(*args); getBorderColor(*args); end
    def baseColor=(*args); setBaseColor(*args); end
    def baseColor(*args); getBaseColor(*args); end
    def hSpacing=(*args); setHSpacing(*args); end
    def hSpacing(*args); getHSpacing(*args); end
    def vSpacing=(*args); setVSpacing(*args); end
    def vSpacing(*args); getVSpacing(*args); end
  end
  class FXPopup
    def frameStyle=(*args); setFrameStyle(*args); end
    def frameStyle(*args); getFrameStyle(*args); end
    def borderWidth(*args); getBorderWidth(*args); end
    def hiliteColor=(*args); setHiliteColor(*args); end
    def hiliteColor(*args); getHiliteColor(*args); end
    def shadowColor=(*args); setShadowColor(*args); end
    def shadowColor(*args); getShadowColor(*args); end
    def borderColor=(*args); setBorderColor(*args); end
    def borderColor(*args); getBorderColor(*args); end
    def baseColor=(*args); setBaseColor(*args); end
    def baseColor(*args); getBaseColor(*args); end
    def grabOwner(*args); getGrabOwner(*args); end
    def orientation(*args); getOrientation(*args); end
    def orientation=(*args); setOrientation(*args); end
    def shrinkWrap(*args); getShrinkWrap(*args); end
    def shrinkWrap=(*args); setShrinkWrap(*args); end
  end
  class FXPrintDialog
    def printer=(*args); setPrinter(*args); end
    def printer(*args); getPrinter(*args); end
  end
  class FXProgressBar
    def progress=(*args); setProgress(*args); end
    def progress(*args); getProgress(*args); end
    def total=(*args); setTotal(*args); end
    def total(*args); getTotal(*args); end
    def barSize=(*args); setBarSize(*args); end
    def barSize(*args); getBarSize(*args); end
    def barBGColor=(*args); setBarBGColor(*args); end
    def barBGColor(*args); getBarBGColor(*args); end
    def barColor=(*args); setBarColor(*args); end
    def barColor(*args); getBarColor(*args); end
    def textColor=(*args); setTextColor(*args); end
    def textColor(*args); getTextColor(*args); end
    def textAltColor=(*args); setTextAltColor(*args); end
    def textAltColor(*args); getTextAltColor(*args); end
    def font=(*args); setFont(*args); end
    def font(*args); getFont(*args); end
    def barStyle=(*args); setBarStyle(*args); end
    def barStyle(*args); getBarStyle(*args); end
  end
  class FXProgressDialog
    def message=(*args); setMessage(*args); end
    def message(*args); getMessage(*args); end
    def progress=(*args); setProgress(*args); end
    def progress(*args); getProgress(*args); end
    def total=(*args); setTotal(*args); end
    def total(*args); getTotal(*args); end
    def cancelled?(*args); isCancelled(*args); end
  end
  class FXRadioButton
    def checkState; getCheckState; end
    def setCheckState(*args)
      setCheck(*args)
    end
    def checkState=(*args)
      setCheck(*args)
    end
    def check; getCheck; end	# deprecated
    def check=(*args)		# also deprecated
      setCheck(*args)
    end
    def checked?
      self.checkState == TRUE
    end
    def unchecked?
      self.checkState == FALSE
    end
    def maybe?
      self.checkState == MAYBE
    end
    def radioButtonStyle=(*args); setRadioButtonStyle(*args); end
    def radioButtonStyle(*args); getRadioButtonStyle(*args); end
    def radioColor(*args); getRadioColor(*args); end
    def radioColor=(*args); setRadioColor(*args); end
  end
  class FXRecentFiles
    def maxFiles=(*args); setMaxFiles(*args); end
    def maxFiles(*args); getMaxFiles(*args); end
    def groupName=(*args); setGroupName(*args); end
    def groupName(*args); getGroupName(*args); end
    def target=(*args); setTarget(*args); end
    def target(*args); getTarget(*args); end
    def selector=(*args); setSelector(*args); end
    def selector(*args); getSelector(*args); end
  end
  class FXRegion
    def contains?(*args); contains(*args); end
  end
  class FXRegistry
    def appKey;	getAppKey; end
    def vendorKey; getVendorKey; end
    def asciiMode=(*args); setAsciiMode(*args); end
    def asciiMode?; getAsciiMode; end
  end
  class FXReplaceDialog
    def searchText=(*args); setSearchText(*args); end
    def searchText(*args); getSearchText(*args); end
    def replaceText=(*args); setReplaceText(*args); end
    def replaceText(*args); getReplaceText(*args); end
    def searchMode=(*args); setSearchMode(*args); end
    def searchMode(*args); getSearchMode(*args); end
  end
  class FXScrollArea
    def viewportWidth(*args); getViewportWidth(*args); end
    def viewportHeight(*args); getViewportHeight(*args); end
    def contentWidth(*args); getContentWidth(*args); end
    def contentHeight(*args); getContentHeight(*args); end
    def scrollStyle=(*args); setScrollStyle(*args); end
    def scrollStyle(*args); getScrollStyle(*args); end
    def horizontalScrollable?(*args); isHorizontalScrollable(*args); end
    def verticalScrollable?(*args); isVerticalScrollable(*args); end
    def xPosition(*args); getXPosition(*args); end
    def yPosition(*args); getYPosition(*args); end
  end
  class FXScrollbar
    def range=(*args); setRange(*args); end
    def range(*args); getRange(*args); end
    def page=(*args); setPage(*args); end
    def page(*args); getPage(*args); end
    def line=(*args); setLine(*args); end
    def line(*args); getLine(*args); end
    def position=(*args); setPosition(*args); end
    def hiliteColor=(*args); setHiliteColor(*args); end
    def hiliteColor(*args); getHiliteColor(*args); end
    def shadowColor=(*args); setShadowColor(*args); end
    def shadowColor(*args); getShadowColor(*args); end
    def borderColor(*args); getBorderColor(*args); end
    def borderColor=(*args); setBorderColor(*args); end
    def scrollbarStyle(*args); getScrollbarStyle(*args); end
    def scrollbarStyle=(*args); setScrollbarStyle(*args); end
  end
  class FXSearchDialog
    def searchText=(*args); setSearchText(*args); end
    def searchText(*args); getSearchText(*args); end
    def searchMode=(*args); setSearchMode(*args); end
    def searchMode(*args); getSearchMode(*args); end
  end
  class FXSettings
    def existingEntry?(*args)
      existingEntry(*args)
    end
    def existingSection?(*args)
      existingSection(*args)
    end
    def modified=(*args)
      setModified(*args)
    end
    def modified?
      isModified
    end
  end
  class FXShutterItem
    def button(*args); getButton(*args); end
    def content(*args); getContent(*args); end
    def helpText=(*args); setHelpText(*args); end
    def helpText(*args); getHelpText(*args); end
    def tipText=(*args); setTipText(*args); end
    def tipText(*args); getTipText(*args); end
  end
  class FXShutter
    def current=(*args); setCurrent(*args); end
    def current(*args); getCurrent(*args); end
  end
  class FXSlider
    def value=(*args); setValue(*args); end
    def value(*args); getValue(*args); end
    def range=(*args); setRange(*args); end
    def range(*args); getRange(*args); end
    def sliderStyle(*args); getSliderStyle(*args); end
    def sliderStyle=(*args); setSliderStyle(*args); end
    def headSize(*args); getHeadSize(*args); end
    def headSize=(*args); setHeadSize(*args); end
    def slotSize(*args); getSlotSize(*args); end
    def slotSize=(*args); setSlotSize(*args); end
    def increment(*args); getIncrement(*args); end
    def increment=(*args); setIncrement(*args); end
    def tickDelta(*args); getTickDelta(*args); end
    def tickDelta=(*args); setTickDelta(*args); end
    def slotColor=(*args); setSlotColor(*args); end
    def slotColor(*args); getSlotColor(*args); end
    def helpText=(*args); setHelpText(*args); end
    def helpText(*args); getHelpText(*args); end
    def tipText=(*args); setTipText(*args); end
    def tipText(*args); getTipText(*args); end
  end
  class FXSpinner
    def cyclic?(*args); isCyclic(*args); end
    def cyclic=(*args); setCyclic(*args); end
    def textVisible?(*args); isTextVisible(*args); end
    def textVisible=(*args); setTextVisible(*args); end
    def value=(*args); setValue(*args); end
    def value(*args); getValue(*args); end
    def range=(*args); setRange(*args); end
    def range(*args); getRange(*args); end
    def font=(*args); setFont(*args); end
    def font(*args); getFont(*args); end
    def helpText=(*args); setHelpText(*args); end
    def helpText(*args); getHelpText(*args); end
    def tipText=(*args); setTipText(*args); end
    def tipText(*args); getTipText(*args); end
    def spinnerStyle=(*args); setSpinnerStyle(*args); end
    def spinnerStyle(*args); getSpinnerStyle(*args); end
    def editable=(*args); setEditable(*args); end
    def editable?(*args); isEditable(*args); end
  end
  class FXSplitter
    def splitterStyle=(*args); setSplitterStyle(*args); end
    def splitterStyle(*args); getSplitterStyle(*args); end
    def barSize=(*args); setBarSize(*args); end
    def barSize(*args); getBarSize(*args); end
  end
  class FXStatusbar
    def cornerStyle=(*args); setCornerStyle(*args); end
    def cornerStyle(*args); getCornerStyle(*args); end
    def statusline(*args); getStatusline(*args); end
    def dragCorner(*args); getDragCorner(*args); end
  end
  class FXStatusline
    def text=(*args); setText(*args); end
    def text(*args); getText(*args); end
    def to_s(*args); getText(*args); end
    def normalText=(*args); setNormalText(*args); end
    def normalText(*args); getNormalText(*args); end
    def font=(*args); setFont(*args); end
    def font(*args); getFont(*args); end
    def textColor(*args); getTextColor(*args); end
    def textColor=(*args); setTextColor(*args); end
    def textHighlightColor(*args); getTextHighlightColor(*args); end
    def textHighlightColor=(*args); setTextHighlightColor(*args); end
  end
  class FXStream
    def error=(*args); setError(*args); end
    def position=(*args); setPosition(*args); end
    def position(*args); getPosition(*args); end
    def bytesSwapped=(*args); setSwapBytes(*args); end
    def bytesSwapped?; getSwapBytes(); end
  end
  class FXSwitcher
    def current=(*args); setCurrent(*args); end
    def current(*args); getCurrent(*args); end
    def switcherStyle=(*args); setSwitcherStyle(*args); end
    def switcherStyle(*args); getSwitcherStyle(*args); end
  end
  class FXTabItem
    def tabOrientation(*args); getTabOrientation(*args); end
    def tabOrientation=(*args); setTabOrientation(*args); end
  end
  class FXTabBar
    def current=(*args); setCurrent(*args); end
    def current(*args); getCurrent(*args); end
    def tabStyle(*args); getTabStyle(*args); end
    def tabStyle=(*args); setTabStyle(*args); end
  end
  class FXTableItem
    def text=(*args); setText(*args); end
    def text(*args); getText(*args); end
    def to_s(*args); getText(*args); end
    def icon=(*args); setIcon(*args); end
    def icon(*args); getIcon(*args); end
    def data=(*args); setData(*args); end
    def data(*args); getData(*args); end
    def hasFocus?(*args); hasFocus(*args); end
    def selected=(*args); setSelected(*args); end
    def selected?(*args); isSelected(*args); end
    def enabled=(*args); setEnabled(*args); end
    def enabled?(*args); isEnabled(*args); end
    def draggable=(*args); setDraggable(*args); end
    def draggable?(*args); isDraggable(*args); end
    def justify=(*args); setJustify(*args); end
    def justify(*args); getJustify(*args); end
    def iconPosition=(*args); setIconPosition(*args); end
    def iconPosition(*args); getIconPosition(*args); end
    def borders=(*args); setBorders(*args); end
    def borders(*args); getBorders(*args); end
    def stipple=(*args); setStipple(*args); end
    def stipple(*args); getStipple(*args); end
    def button=(*args); setButton(*args); end
    def button?(*args); isButton(*args); end
    def pressed=(*args); setPressed(*args); end
    def pressed?(*args); isPressed(*args); end
    def iconOwned=(*args); setIconOwned(*args); end
    def iconOwned?(*args); isIconOwned(*args); end
  end
  class FXTable
    def horizontalGridShown?; isHorzGridShown; end
    def verticalGridShown?; isVertGridShown; end
    def visibleRows=(*args); setVisibleRows(*args); end
    def visibleRows(*args); getVisibleRows(*args); end
    def visibleCols=(*args); setVisibleCols(*args); end
    def visibleCols(*args); getVisibleCols(*args); end
    def numRows(*args); getNumRows(*args); end
    def numCols(*args); getNumCols(*args); end
    def marginTop=(*args); setMarginTop(*args); end
    def marginTop(*args); getMarginTop(*args); end
    def marginBottom=(*args); setMarginBottom(*args); end
    def marginBottom(*args); getMarginBottom(*args); end
    def marginLeft=(*args); setMarginLeft(*args); end
    def marginLeft(*args); getMarginLeft(*args); end
    def marginRight=(*args); setMarginRight(*args); end
    def marginRight(*args); getMarginRight(*args); end
    def tableStyle(*args); getTableStyle(*args); end
    def tableStyle=(*args); setTableStyle(*args); end
    def leadingRows=(*args); setLeadingRows(*args); end
    def leadingRows(*args); getLeadingRows(*args); end
    def leadingCols=(*args); setLeadingCols(*args); end
    def leadingCols(*args); getLeadingCols(*args); end
    def trailingRows=(*args); setTrailingRows(*args); end
    def trailingRows(*args); getTrailingRows(*args); end
    def trailingCols=(*args); setTrailingCols(*args); end
    def trailingCols(*args); getTrailingCols(*args); end
    def defColumnWidth=(*args); setDefColumnWidth(*args); end
    def defColumnWidth(*args); getDefColumnWidth(*args); end
    def defRowHeight=(*args); setDefRowHeight(*args); end
    def defRowHeight(*args); getDefRowHeight(*args); end
    def currentRow(*args); getCurrentRow(*args); end
    def currentColumn(*args); getCurrentColumn(*args); end
    def anchorRow(*args); getAnchorRow(*args); end
    def anchorColumn(*args); getAnchorColumn(*args); end
    def font=(*args); setFont(*args); end
    def font(*args); getFont(*args); end
    def textColor=(*args); setTextColor(*args); end
    def textColor(*args); getTextColor(*args); end
    def baseColor=(*args); setBaseColor(*args); end
    def baseColor(*args); getBaseColor(*args); end
    def hiliteColor=(*args); setHiliteColor(*args); end
    def hiliteColor(*args); getHiliteColor(*args); end
    def shadowColor=(*args); setShadowColor(*args); end
    def shadowColor(*args); getShadowColor(*args); end
    def borderColor=(*args); setBorderColor(*args); end
    def borderColor(*args); getBorderColor(*args); end
    def selBackColor=(*args); setSelBackColor(*args); end
    def selBackColor(*args); getSelBackColor(*args); end
    def selTextColor=(*args); setSelTextColor(*args); end
    def selTextColor(*args); getSelTextColor(*args); end
    def gridColor=(*args); setGridColor(*args); end
    def gridColor(*args); getGridColor(*args); end
    def stippleColor=(*args); setStippleColor(*args); end
    def stippleColor(*args); getStippleColor(*args); end
    def cellBorderColor=(*args); setCellBorderColor(*args); end
    def cellBorderColor(*args); getCellBorderColor(*args); end
    def cellBorderWidth=(*args); setCellBorderWidth(*args); end
    def cellBorderWidth(*args); getCellBorderWidth(*args); end
    def helpText=(*args); setHelpText(*args); end
    def helpText(*args); getHelpText(*args); end
  end
  class FXText
    def positionSelected?(*args)
      isPosSelected(*args)
    end
    def positionVisible?(*args)
      isPosVisible(*args)
    end
    def positionAt(*args)
      getPosAt(*args)
    end
    def marginTop=(*args); setMarginTop(*args); end
    def marginTop(*args); getMarginTop(*args); end
    def marginBottom=(*args); setMarginBottom(*args); end
    def marginBottom(*args); getMarginBottom(*args); end
    def marginLeft=(*args); setMarginLeft(*args); end
    def marginLeft(*args); getMarginLeft(*args); end
    def marginRight=(*args); setMarginRight(*args); end
    def marginRight(*args); getMarginRight(*args); end
    def wrapColumns(*args); getWrapColumns(*args); end
    def wrapColumns=(*args); setWrapColumns(*args); end
    def tabColumns(*args); getTabColumns(*args); end
    def tabColumns=(*args); setTabColumns(*args); end
    def barColumns(*args); getBarColumns(*args); end
    def barColumns=(*args); setBarColumns(*args); end
    def modified?(*args); isModified(*args); end
    def modified=(*args); setModified(*args); end
    def editable?(*args); isEditable(*args); end
    def editable=(*args); setEditable(*args); end
    def styled=(*args); setStyled(*args); end
    def styled?(*args); isStyled(*args); end
    def delimiters=(*args); setDelimiters(*args); end
    def delimiters(*args); getDelimiters(*args); end
    def font=(*args); setFont(*args); end
    def font(*args); getFont(*args); end
    def textColor=(*args); setTextColor(*args); end
    def textColor(*args); getTextColor(*args); end
    def selBackColor=(*args); setSelBackColor(*args); end
    def selBackColor(*args); getSelBackColor(*args); end
    def selTextColor=(*args); setSelTextColor(*args); end
    def selTextColor(*args); getSelTextColor(*args); end
    def hiliteTextColor=(*args); setHiliteTextColor(*args); end
    def hiliteTextColor(*args); getHiliteTextColor(*args); end
    def hiliteBackColor=(*args); setHiliteBackColor(*args); end
    def hiliteBackColor(*args); getHiliteBackColor(*args); end
    def activeBackColor=(*args); setActiveBackColor(*args); end
    def activeBackColor(*args); getActiveBackColor(*args); end
    def cursorColor=(*args); setCursorColor(*args); end
    def cursorColor(*args); getCursorColor(*args); end
    def numberColor=(*args); setNumberColor(*args); end
    def numberColor(*args); getNumberColor(*args); end
    def barColor=(*args); setBarColor(*args); end
    def barColor(*args); getBarColor(*args); end
    def helpText=(*args); setHelpText(*args); end
    def helpText(*args); getHelpText(*args); end
    def tipText=(*args); setTipText(*args); end
    def tipText(*args); getTipText(*args); end
    def text=(*args); setText(*args); end
    def text(*args); getText(*args); end
    def to_s(*args); getText(*args); end
    def length(*args); getLength(*args); end
    def topLine=(*args); setTopLine(*args); end
    def topLine(*args); getTopLine(*args); end
    def bottomLine=(*args); setBottomLine(*args); end
    def bottomLine(*args); getBottomLine(*args); end
    def centerLine=(*args); setCenterLine(*args); end
    def anchorPos=(*args); setAnchorPos(*args); end
    def anchorPos(*args); getAnchorPos(*args); end
    def cursorPos=(*args); setCursorPos(*args); end
    def cursorRow=(*args); setCursorRow(*args); end
    def cursorRow(*args); getCursorRow(*args); end
    def cursorCol=(*args); setCursorCol(*args); end
    def cursorCol(*args); getCursorCol(*args); end
    def cursorPos(*args); getCursorPos(*args); end
    def selStartPos(*args); getSelStartPos(*args); end
    def selEndPos(*args); getSelEndPos(*args); end
    def textStyle=(*args); setTextStyle(*args); end
    def textStyle(*args); getTextStyle(*args); end
    def visRows=(*args); setVisRows(*args); end
    def visRows(*args); getVisRows(*args); end
    def visCols=(*args); setVisCols(*args); end
    def visCols(*args); getVisCols(*args); end
    def hiliteMatchTime=(*args); setHiliteMatchTime(*args); end
    def hiliteMatchTime(*args); getHiliteMatchTime(*args); end
    def hiliteStyles=(*args); setHiliteStyles(*args); end
    def hiliteStyles(*args); getHiliteStyles(*args); end
  end
  class FXTextField
    def editable?(*args); isEditable(*args); end
    def editable=(*args); setEditable(*args); end
    def cursorPos=(*args); setCursorPos(*args); end
    def cursorPos(*args); getCursorPos(*args); end
    def anchorPos=(*args); setAnchorPos(*args); end
    def anchorPos(*args); getAnchorPos(*args); end
    def text=(*args); setText(*args); end
    def text(*args); getText(*args); end
    def to_s(*args); getText(*args); end
    def font=(*args); setFont(*args); end
    def font(*args); getFont(*args); end
    def textColor=(*args); setTextColor(*args); end
    def textColor(*args); getTextColor(*args); end
    def selBackColor=(*args); setSelBackColor(*args); end
    def selBackColor(*args); getSelBackColor(*args); end
    def selTextColor=(*args); setSelTextColor(*args); end
    def selTextColor(*args); getSelTextColor(*args); end
    def numColumns=(*args); setNumColumns(*args); end
    def numColumns(*args); getNumColumns(*args); end
    def justify=(*args); setJustify(*args); end
    def justify(*args); getJustify(*args); end
    def helpText=(*args); setHelpText(*args); end
    def helpText(*args); getHelpText(*args); end
    def tipText=(*args); setTipText(*args); end
    def tipText(*args); getTipText(*args); end
    def textStyle=(*args); setTextStyle(*args); end
    def textStyle(*args); getTextStyle(*args); end
    def posSelected?(*args); isPosSelected(*args); end
    def posVisible?(*args); isPosVisible(*args); end
  end
  class FXTIFIcon
    def codec=(*args); setCodec(*args); end
    def codec(*args); getCodec(*args); end
  end
  class FXTIFImage
    def codec=(*args); setCodec(*args); end
    def codec(*args); getCodec(*args); end
  end
  class FXToggleButton
    def altText=(*args); setAltText(*args); end
    def altText(*args); getAltText(*args); end
    def altIcon=(*args); setAltIcon(*args); end
    def altIcon(*args); getAltIcon(*args); end
    def state=(*args); setState(*args); end
    def state(*args); getState(*args); end
    def altHelpText=(*args); setAltHelpText(*args); end
    def altHelpText(*args); getAltHelpText(*args); end
    def altTipText=(*args); setAltTipText(*args); end
    def altTipText(*args); getAltTipText(*args); end
    def toggleStyle=(*args); setToggleStyle(*args); end
    def toggleStyle(*args); getToggleStyle(*args); end
  end
  class FXToolbar
    def dryDock(*args); getDryDock(*args); end
    def wetDock(*args); getWetDock(*args); end
    def docked?(*args); isDocked(*args); end
    def dockingSide=(*args); setDockingSide(*args); end
    def dockingSide(*args); getDockingSide(*args); end
  end
  class FXToolbarGrip
    def doubleBar?; getDoubleBar; end
    def doubleBar=(*args); setDoubleBar(*args); end
    def hiliteColor=(*args); setHiliteColor(*args); end
    def hiliteColor(*args); getHiliteColor(*args); end
    def shadowColor=(*args); setShadowColor(*args); end
    def shadowColor(*args); getShadowColor(*args); end
    def activeColor=(*args); setActiveColor(*args); end
    def activeColor(*args); getActiveColor(*args); end
  end
  class FXToolbarShell
    def frameStyle=(*args); setFrameStyle(*args); end
    def frameStyle(*args); getFrameStyle(*args); end
    def borderWidth(*args); getBorderWidth(*args); end
    def hiliteColor=(*args); setHiliteColor(*args); end
    def hiliteColor(*args); getHiliteColor(*args); end
    def shadowColor=(*args); setShadowColor(*args); end
    def shadowColor(*args); getShadowColor(*args); end
    def borderColor=(*args); setBorderColor(*args); end
    def borderColor(*args); getBorderColor(*args); end
    def baseColor=(*args); setBaseColor(*args); end
    def baseColor(*args); getBaseColor(*args); end
  end
  class FXToolbarTab
    def collapsed?(*args); isCollapsed(*args); end
    def tabStyle=(*args); setTabStyle(*args); end
    def tabStyle(*args); getTabStyle(*args); end
    def activeColor(*args); getActiveColor(*args); end
    def activeColor=(*args); setActiveColor(*args); end
  end
  class FXTooltip
    def text=(*args); setText(*args); end
    def text(*args); getText(*args); end
    def to_s(*args); getText(*args); end
    def font=(*args); setFont(*args); end
    def font(*args); getFont(*args); end
    def textColor(*args); getTextColor(*args); end
    def textColor=(*args); setTextColor(*args); end
  end
  class FXTopWindow
    def iconified?(*args); isIconified(*args); end
    def title=(*args); setTitle(*args); end
    def title(*args); getTitle(*args); end
    def padTop=(*args); setPadTop(*args); end
    def padTop(*args); getPadTop(*args); end
    def padBottom=(*args); setPadBottom(*args); end
    def padBottom(*args); getPadBottom(*args); end
    def padLeft=(*args); setPadLeft(*args); end
    def padLeft; getPadLeft(); end
    def padRight=(*args); setPadRight(*args); end
    def padRight; getPadRight(); end
    def hSpacing(*args); getHSpacing(*args); end
    def vSpacing(*args); getVSpacing(*args); end
    def hSpacing=(*args); setHSpacing(*args); end
    def vSpacing=(*args); setVSpacing(*args); end
    def packingHints=(*args); setPackingHints(*args); end
    def packingHints(*args); getPackingHints(*args); end
    def decorations=(*args); setDecorations(*args); end
    def decorations(*args); getDecorations(*args); end
    def icon(*args); getIcon(*args); end
    def icon=(*args); setIcon(*args); end
    def miniIcon(*args); getMiniIcon(*args); end
    def miniIcon=(*args); setMiniIcon(*args); end
  end
  class FXTreeItem
    def parent(*args); getParent(*args); end
    def next(*args); getNext(*args); end
    def prev(*args); getPrev(*args); end
    def first(*args); getFirst(*args); end
    def last(*args); getLast(*args); end
    def below(*args); getBelow(*args); end
    def above(*args); getAbove(*args); end
    def numChildren(*args); getNumChildren(*args); end
    def text=(*args); setText(*args); end
    def text(*args); getText(*args); end
    def to_s(*args); getText(*args); end
    def openIcon=(*args); setOpenIcon(*args); end
    def openIcon(*args); getOpenIcon(*args); end
    def closedIcon=(*args); setClosedIcon(*args); end
    def closedIcon(*args); getClosedIcon(*args); end
    def data=(*args); setData(*args); end
    def data(*args); getData(*args); end
    def selected=(*args); setSelected(*args); end
    def selected?(*args); isSelected(*args); end
    def opened=(*args); setOpened(*args); end
    def opened?(*args); isOpened(*args); end
    def expanded=(*args); setExpanded(*args); end
    def expanded?(*args); isExpanded(*args); end
    def enabled=(*args); setEnabled(*args); end
    def enabled?(*args); isEnabled(*args); end
    def draggable=(*args); setDraggable(*args); end
    def draggable?(*args); isDraggable(*args); end
    def iconOwned=(*args); setIconOwned(*args); end
    def iconOwned(*args); isIconOwned(*args); end
  end
  class FXTreeList
    def itemSelected?(*args); isItemSelected(*args); end
    def itemCurrent?(*args); isItemCurrent(*args); end
    def itemVisible?(*args); isItemVisible(*args); end
    def itemOpened?(*args); isItemOpened(*args); end
    def itemExpanded?(*args); isItemExpanded(*args); end
    def itemLeaf?(*args); isItemLeaf(*args); end
    def itemEnabled?(*args); isItemEnabled(*args); end
    def numItems(*args); getNumItems(*args); end
    def numVisible(*args); getNumVisible(*args); end
    def numVisible=(*args); setNumVisible(*args); end
    def firstItem(*args); getFirstItem(*args); end
    def lastItem(*args); getLastItem(*args); end
    def currentItem=(*args); setCurrentItem(*args); end
    def currentItem(*args); getCurrentItem(*args); end
    def anchorItem=(*args); setAnchorItem(*args); end
    def anchorItem(*args); getAnchorItem(*args); end
    def cursorItem(*args); getCursorItem(*args); end
    def font=(*args); setFont(*args); end
    def font(*args); getFont(*args); end
    def indent=(*args); setIndent(*args); end
    def indent(*args); getIndent(*args); end
    def textColor(*args); getTextColor(*args); end
    def textColor=(*args); setTextColor(*args); end
    def selBackColor(*args); getSelBackColor(*args); end
    def selBackColor=(*args); setSelBackColor(*args); end
    def selTextColor(*args); getSelTextColor(*args); end
    def selTextColor=(*args); setSelTextColor(*args); end
    def lineColor(*args); getLineColor(*args); end
    def lineColor=(*args); setLineColor(*args); end
    def listStyle(*args); getListStyle(*args); end
    def listStyle=(*args); setListStyle(*args); end
    def helpText=(*args); setHelpText(*args); end
    def helpText(*args); getHelpText(*args); end
  end
  class FXTreeListBox
    def numItems(*args); getNumItems(*args); end
    def numVisible(*args); getNumVisible(*args); end
    def numVisible=(*args); setNumVisible(*args); end
    def firstItem(*args); getFirstItem(*args); end
    def lastItem(*args); getLastItem(*args); end
    def currentItem=(*args); setCurrentItem(*args); end
    def currentItem(*args); getCurrentItem(*args); end
    def paneShown?(*args); isPaneShown(*args); end
    def font=(*args); setFont(*args); end
    def font(*args); getFont(*args); end
    def listStyle(*args); getListStyle(*args); end
    def listStyle=(*args); setListStyle(*args); end
    def helpText=(*args); setHelpText(*args); end
    def helpText(*args); getHelpText(*args); end
    def tipText=(*args); setTipText(*args); end
    def tipText(*args); getTipText(*args); end
  end
  class FXVisual
    def flags(*args); getFlags(*args); end
    def depth(*args); getDepth(*args); end
    def numColors(*args); getNumColors(*args); end
    def numRed(*args); getNumRed(*args); end
    def numGreen(*args); getNumGreen(*args); end
    def numBlue(*args); getNumBlue(*args); end
    def maxColors=(*args); setMaxColors(*args); end
    def maxColors(*args); getMaxColors(*args); end
    def visualType; getType(); end
  end
  class FXWindow
    def parent(*args); getParent(*args); end
    def owner(*args); getOwner(*args); end
    def shell(*args); getShell(*args); end
    def root(*args); getRoot(*args); end
    def next(*args); getNext(*args); end
    def prev(*args); getPrev(*args); end
    def first(*args); getFirst(*args); end
    def last(*args); getLast(*args); end
    def focus(*args); getFocus(*args); end
    def key=(*args); setKey(*args); end
    def key(*args); getKey(*args); end
    def target=(*args); setTarget(*args); end
    def target(*args); getTarget(*args); end
    def selector=(*args); setSelector(*args); end
    def message=(*args); setSelector(*args); end
    def selector(*args); getSelector(*args); end
    def message(*args); getSelector(*args); end
    def x(*args); getX(*args); end
    def y(*args); getY(*args); end
    def defaultWidth(*args); getDefaultWidth(*args); end
    def defaultHeight(*args); getDefaultHeight(*args); end
    def x=(*args); setX(*args); end
    def y=(*args); setY(*args); end
    def width=(*args); setWidth(*args); end
    def height=(*args); setHeight(*args); end
    def layoutHints=(*args); setLayoutHints(*args); end
    def layoutHints(*args); getLayoutHints(*args); end
    def accelTable(*args); getAccelTable(*args); end
    def accelTable=(*args); setAccelTable(*args); end
    def shell?(*args); isShell(*args); end
    def childOf?(*args); isChildOf(*args); end
    def containsChild?(*args); containsChild(*args); end
    def defaultCursor=(*args); setDefaultCursor(*args); end
    def defaultCursor(*args); getDefaultCursor(*args); end
    def dragCursor=(*args); setDragCursor(*args); end
    def dragCursor(*args); getDragCursor(*args); end
    def cursorPosition(*args); getCursorPosition(*args); end
    def setEnabled(x)
      x ? enable() : disable()
    end
    def enabled=(*args); setEnabled(*args); end
    def enabled?(*args); isEnabled(*args); end
    alias enabled enabled?
    def active?(*args); isActive(*args); end
    def canFocus?(*args); canFocus(*args); end
    def hasFocus?(*args); hasFocus(*args); end
    def default?(*args); isDefault(*args); end
    def initial?(*args); isInitial(*args); end
    def grabbed?(*args); grabbed(*args); end
    def grabbedKeyboard?; grabbedKeyboard; end
    def setShown(s)
      s ? show() : hide()
    end
    def shown=(*args); setShown(*args); end
    def shown?(*args); shown(*args); end
    def composite?(*args); isComposite(*args); end
    def underCursor?(*args); underCursor(*args); end
    def hasSelection?(*args); hasSelection(*args); end
    def hasClipboard?(*args); hasClipboard(*args); end
    def dropEnabled?(*args); isDropEnabled(*args); end
    def dragging?(*args); isDragging(*args); end
    def dropTarget?(*args); isDropTarget(*args); end
    def contains?(*args); contains(*args); end
    def backColor=(*args); setBackColor(*args); end
    def backColor(*args); getBackColor(*args); end
    def children(*args); getChildren(*args); end
    def doesSaveUnder?(*args); doesSaveUnder(*args); end
    def offeredDNDType?(*args); offeredDNDType(*args); end
  end
end
